{
  lib,
  config,
  osConfig,
  ...
}: {
  options.user = {
    isDesktopUser = lib.mkOption {
      type = lib.types.bool;
      default = osConfig.host.users.${config.home.username}.isDesktopUser;
    };
    isTerminalUser = lib.mkOption {
      type = lib.types.bool;
      default = osConfig.host.users.${config.home.username}.isTerminalUser;
    };
  };
}
