{
  lib,
  config,
  ...
}: let
  setupSteam =
    lib.lists.any
    (value: value)
    (lib.attrsets.mapAttrsToList (name: value: value.programs.steam.enable) config.home-manager.users);
in {
  config = lib.mkIf setupSteam {
    programs.steam = {
      enable = true;
      # TODO: figure out how to not install steam here
      # package = lib.mkDefault pkgs.emptyFile;
    };
  };
}
