# not working yet
{
  pkgs,
  rustPlatform,
  fetchFromGitHub,
  ...
}: let
  version = "1.5.3";
  repo = fetchFromGitHub {
    owner = "IntQuant";
    repo = "noita_entangled_worlds";
    rev = "v${version}";
    hash = "sha256-frrpD0aWTeDbZYtp15R+quUUAZf7OvHlbSLtGJJtAqk=";
  };
in
  rustPlatform.buildRustPackage {
    name = "noita-proxy-${version}";
    src = repo + "/noita-proxy";
    prePatch = ''
      substituteInPlace Cargo.toml \
          --replace "path = \"../shared\"" "path = \"${repo + "/shared"}\""
    '';
    nativeBuildInputs = with pkgs; [
      pkg-config
      python3
      cmake
    ];
    buildInputs = with pkgs; [
      openssl
      openssl.dev
      libpulseaudio
      libjack2
      alsa-lib
      xorg.libxcb
      xorg.libxcb.dev
      libopus
    ];
    propagatedBuildInputs = with pkgs; [
      steamworks-sdk-redist
    ];
    runtimeDependencies = with pkgs; [
      steamworks-sdk-redist
    ];
    doCheck = false;
    cargoHash = "sha256-TzUS6d6PopgGf2i1yVaXaXdzNrvfSz+Gv67BAtxYmb4=";
  }
