{
  lib,
  config,
  osConfig,
  ...
}: {
  config = lib.mkIf config.programs.obsidian.enable (lib.mkMerge [
    (
      lib.mkIf osConfig.host.impermanence.enable {
        home.persistence."/persist${config.home.homeDirectory}" = {
          directories = [
            "${config.xdg.configHome}/obsidian"
          ];
        };
      }
    )
  ]);
}
